# Created by pyp2rpm-1.0.1
%global pypi_name pkginfo

Name:           python-pkginfo
Version:        1.5.0.1
Release:        %mkrel 6
Group:          Development/Python
Summary:        Query metadatdata from sdists / bdists / installed packages
Url:            https://pypi.org/project/pkginfo/
License:        Python
Source0:        https://pypi.python.org/packages/source/p/pkginfo/pkginfo-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx_rtd_theme
BuildRequires:  python3-setuptools

%description
This package provides an API for querying the distutils metadata written in
the PKG-INFO file inside a source distriubtion (an sdist) or a binary
distribution (e.g., created by running bdist_egg). It can also query the
EGG-INFO directory of an installed distribution, and the *.egg-info stored
in a "development checkout" (e.g, created by running setup.py develop).

%package -n     python3-%{pypi_name}
Summary:        Query metadatdata from sdists / bdists / installed packages
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This package provides an API for querying the distutils metadata written in
the PKG-INFO file inside a source distriubtion (an sdist) or a binary
distribution (e.g., created by running bdist_egg). It can also query the
EGG-INFO directory of an installed distribution, and the *.egg-info stored
in a "development checkout" (e.g, created by running setup.py develop).

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

# generate html docs
PYTHONPATH=$(pwd) sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%files -n python3-%{pypi_name}
%doc html README.txt
%{_bindir}/pkginfo
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Mon Jan 11 2021 wally <wally> 1.5.0.1-6.mga8
+ Revision: 1671116
- provide and obsolete old python-pkginfo

* Sun Feb 16 2020 umeabot <umeabot> 1.5.0.1-5.mga8
+ Revision: 1531829
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 tv <tv> 1.5.0.1-4.mga8
+ Revision: 1441250
- submit to core/release

* Sun Sep 15 2019 tv <tv> 1.5.0.1-3.mga8
+ Revision: 1441152
- rebuild for python-3.8
- drop python2 subpkg

* Tue Aug 20 2019 wally <wally> 1.5.0.1-2.mga8
+ Revision: 1430576
- update sphinx BRs

* Wed Jan 09 2019 shlomif <shlomif> 1.5.0.1-1.mga7
+ Revision: 1353780
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.2b1-10.mga7
+ Revision: 1289672
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.2b1-9.mga7
+ Revision: 1135545
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 1.2b1-8.mga6
+ Revision: 970650
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 tv <tv> 1.2b1-7.mga6
+ Revision: 887483
- use right py3version macro
- BR python-sphinx_rtd_theme
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.2b1-6.mga5
+ Revision: 740654
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.2b1-5.mga5
+ Revision: 729321
- rebuild for missing pythoneggs deps
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 philippem <philippem> 1.2b1-3.mga5
+ Revision: 632636
- fix doc build
+ pterjan <pterjan>
- Rebuild for new Python

* Wed Jan 08 2014 joequant <joequant> 1.2b1-2.mga4
+ Revision: 565567
- push to core/release

* Sat Jan 04 2014 joequant <joequant> 1.2b1-1.mga4
+ Revision: 564568
- imported package python-pkginfo

